#!/usr/bin/env bash
#
# launcher
#
# TODO: toujours mettre des \n entre les résultats !

res=()

# Find all programs in $PATH.
res+=$(echo -n "$PATH" | xargs -d: -I{} -r -- find -L {} -maxdepth 1 -mindepth 1 -type f -executable -printf '%P\n' 2>/dev/null)
res+=$(echo -e "\ncoucou")

for resultat in "${res[@]}"; do
    echo "$resultat"
done | fzf|sh
